using System.Text.Json.Serialization;

namespace Todo.Api.Hubs.Models;

public record UpdateTodoRequest
{
    [JsonPropertyName("id")]
    public string Id { get; init; }

    [JsonPropertyName("title")]
    public string Title { get; init; }

    [JsonPropertyName("status")]
    public bool Status { get; init; }

    [JsonPropertyName("project")]
    public string? Project { get; init; }

    [JsonPropertyName("description")]
    public string? Description { get; init; }
}